Summary:	Beep Media Player eXperimental
Name:		bmpx
Version:	0.40.14
Release:	8%{?dist}

License:	GPLv2
Group:		Applications/Multimedia
URL:		http://bmpx.backtrace.info/
Source:		http://files.beep-media-player.org/releases/0.40/%{name}-%{version}.tar.bz2
Patch0:		bmpx-libsoup24.patch
Patch1:		bmpx-hostnotfound.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  libsoup-devel
BuildRequires:  sqlite-devel
BuildRequires:  glibmm24-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  gtk2-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libglademm24-devel
BuildRequires:  libsexymm-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
# Disabled for now, needs investigation
# http://bugs.backtrace.info/view.php?id=501
# BuildRequires:  hal-devel
BuildRequires:  taglib-devel
# Has some mysterious problems on ppc right now..
# BuildRequires:  libsidplay-devel
BuildRequires:  startup-notification-devel
BuildRequires:  libofa-devel
# disabled for now
#BuildRequires:  cdparanoia-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libmodplug-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libxslt
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libSM-devel
BuildRequires:  libtool
BuildRequires:	intltool
BuildRequires:	libcdio-devel
%description
BMPx is an audio player that features support for specifications like XDS DnD,
XSPF and DBus. BMPx is highly interoperable and integrates well with other
applications and a variety of desktop environments.


# %define extension_id \{bc3572da-daf9-435d-a8a6-33cc20fe4533\}
# %package extension
# Summary:	BMPx extension for Mozilla browsers to register as lastfm handler
# Group:	Applications/Multimedia
# Requires:	%{name} = %{version}-%{release}
# Requires:	mozilla-filesystem

# %description extension
# This extension enables Mozilla-based browsers to send lastfm links to BMPx,
# starting immediate playback.


%package devel
Summary:	Development files for the BMPx media player
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	dbus-glib-devel
Requires:	libstdc++-devel
Requires:	boost-devel
Requires:	gtkmm24-devel
Requires:	libsoup-devel

%description devel
Development files required for compiling BMPx media player plugins.


%prep
%setup -q
%patch0 -p1 -b .libsoup24
%patch1 -p1 -b .hostnotfound

%build
%configure \
	--disable-hal \
	--enable-mp4v2 \
	--enable-modplug \
	--without-cdparanoia
#	--enable-sid \


%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

desktop-file-install \
	--vendor="fedora" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	--delete-original \
	$RPM_BUILD_ROOT%{_datadir}/applications/{bmp-2.0,bmp-2.0-offline,bmp-play-2.0}.desktop
%find_lang %{name}

# Don't include this file as it's part of glibc-common
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/locale/locale.alias

# handle documentation properly
%{__mv} ${RPM_BUILD_ROOT}%{_docdir}/%{name} ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}
%{__cp} -p AUTHORS COPYING README ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version} 

# aggressive .la file removal
find ${RPM_BUILD_ROOT}%{_libdir}/%{name}/plugins \
	-name \*.la \
	-exec %{__rm} -f '{}' \;

# Mozilla extension
# %{__install} -p -m644 xpi/bmp.xpi ${RPM_BUILD_ROOT}%{_libdir}/%{name}
# %{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/mozilla/extensions
# %{__unzip} -q xpi/bmp.xpi -d ${RPM_BUILD_ROOT}%{_libdir}/mozilla/extensions/%{extension_id}

# header file forgotten by make install
%{__install} -p -m644 src/minisoup.hh ${RPM_BUILD_ROOT}%{_includedir}/bmp-2.0/bmp/types

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig

update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig

update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/beep-media-player-2
%{_bindir}/bmp2
%{_bindir}/bmp-play-files-2.0
%{_bindir}/bmp-play-uris-2.0
%{_libdir}/%{name}
# %exclude %{_libdir}/%{name}/bmp.xpi
%{_libexecdir}/beep-media-player-2-bin
%{_libexecdir}/beep-media-player-2-sentinel
%{_datadir}/applications/fedora-bmp-2.0.desktop
%{_datadir}/applications/fedora-bmp-2.0-offline.desktop
%{_datadir}/applications/fedora-bmp-play-2.0.desktop
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.beepmediaplayer.sentinel.service
%{_datadir}/dbus-1/services/org.mpris.bmp.service
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_docdir}/%{name}-%{version}
%{_mandir}/man1/beep-media-player-2.1*

# %files extension
# %{_libdir}/%{name}/bmp.xpi
# %{_libdir}/mozilla/extensions/%{extension_id}

%files devel
%defattr(-,root,root,-)
%{_includedir}/bmp-2.0
%{_libdir}/pkgconfig/bmp-2.0.pc


%changelog
* Sun Sep 14 2008 josef radinger <cheese@nosuchhost.net> - 0.40.14-8
- fix typo

* Sun Sep 14 2008 josef radinger <cheese@nosuchhost.net> - 0.40.14-7
- forgot the actual patch

* Sun Sep 14 2008 josef radinger <cheese@nosuchhost.net> - 0.40.14-6
- fix patch libsoup
- add hostnotfound-patch
- remove cdparanoia, use libcdio (for now)

* Sat Jun  7 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.14-5
- explicitly added intltool build requirement

* Sat Jun  7 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.14-4
- explicitly added libtool build requirement

* Fri Jun  6 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.14-3
- disabled sid support for now, problems on ppc

* Sun May 18 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.14-2
- added explicit dbus-devel and dbus-glib-devel dependencies
- added explicit libSM-devel dependency

* Tue May 18 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.14-1
- update to 0.40.14
- removed patches for now-fixed issues
- removed empty ChangeLog

* Sun Mar  2 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-11
- updated homepage url

* Sat Mar  1 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-10
- patch for missing explicit gcc 4.3 cstring/string.h include

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.40.13-9
- Autorebuild for GCC 4.3

* Fri Feb 15 2008 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-8
- added and adapted lipsoup24 patch
- explicitly require libsoup >= 2.3

* Fri Dec 28 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-7
- removed firefox extension until ff 3.0 reaches stable

* Thu Nov 29 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-6
- added patch for gtk_check_version on gtk2-2.2.12

* Thu Nov 29 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-5
- bump for firefox 2.0.0.10

* Tue Nov 20 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-4
- install missing minisoup header file
- updated -devel dependencies

* Fri Nov 16 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-3
- split up firefox extension
- removed trigger scripts
- install and handle documentation properly
- replaced non-standard icon macros
- remove libtool archives instead of excluding them
- extended copy and install commands with timestamp preservation
- rectified desktop database and mime cache update handling

* Thu Nov  8 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-2
- added missing dist macro to revision

* Sun Nov  4 2007 Alexander Kahl <akahl@iconmobile.com> - 0.40.13-1
- takeover of Matthias' work
- update to 0.40.13
- updated dependencies
- updated files
- removed patch
- added firefox plugin, bits adapted from beagle's spec
- removed useless mime database update
- adapted latest macros
- added modplug support

* Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 0.36.1-2
- Rebuild against plain libmp4v2 instead of full faad2.

* Thu Dec 14 2006 Matthias Saou <http://freshrpms.net/> 0.36.1-1
- Update to 0.36.1.

* Mon Dec 11 2006 Matthias Saou <http://freshrpms.net/> 0.36.0-1
- Update to 0.36.0.
- Update install patch so that it still applies.
- Add new librsvg2-devel and cdparanoia-devel build requirements.
- Add new sentinel related files and remove no longer installed icon and mime.

* Mon Oct  2 2006 Matthias Saou <http://freshrpms.net/> 0.32.0-1
- Update to 0.32.0.

* Tue Sep 26 2006 Matthias Saou <http://freshrpms.net/> 0.30.3-1
- Update to 0.30.3.

* Mon Sep 25 2006 Matthias Saou <http://freshrpms.net/> 0.30.1-1
- Update to 0.30.1.

* Fri Jul 21 2006 Matthias Saou <http://freshrpms.net/> 0.20.3-1
- Update to 0.20.3.
- Drop no longer needed binpath patch.
- Remove no longer included bmp2 from bindir.

* Tue Jul 11 2006 Matthias Saou <http://freshrpms.net/> 0.20.2-1
- Update to 0.20.2.
- Enable M4A/AAC tag support with faad2.
- Enable SID/PSID taglib support with libsidplay.

* Sun Jul  9 2006 Matthias Saou <http://freshrpms.net/> 0.20.0-1
- Update to 0.20.0 final.
- Include patch to fix "bmp2" symlink to the build root.

* Tue Jul  4 2006 Matthias Saou <http://freshrpms.net/> 0.20-0.2.beta1.
- Update to 0.20beta1... first time I see "beta" _after_ "pre" releases...

* Mon Jun 26 2006 Matthias Saou <http://freshrpms.net/> 0.20-0.1.pre7
- Update to 0.20pre7.
- Add update-mime-database scriplet calls now that there is a mime types file.
- Remove installed locale.alias file (it's part of glibc-common).

* Sun Jun 25 2006 Matthias Saou <http://freshrpms.net/> 0.20-0.1.pre6
- Update to 0.20pre6.

* Thu Jun 22 2006 Matthias Saou <http://freshrpms.net/> 0.20-0.1.pre2
- Update to 0.20pre2.
- Add new libnotify-devel build requirement, but as 0.4.2 is required...

* Mon Jun 19 2006 Matthias Saou <http://freshrpms.net/> 0.20-0.1.pre1
- Update to 0.20pre1.
- Update all build requirements for new c++ deps : boost and gtkmm stuff.
- Update %%files sections, notably for the removal of libs, hrel and chroma.

* Thu May  4 2006 Matthias Saou <http://freshrpms.net/> 0.14.4-1
- Update to 0.14.4.

* Tue Apr 11 2006 Matthias Saou <http://freshrpms.net/> 0.14.3-2
- Include COPYING file.
- Add update-desktop-database scriplet calls and post/postun deps.

* Wed Mar 29 2006 Matthias Saou <http://freshrpms.net/> 0.14.3-1
- Update to 0.14.3.

* Mon Mar 06 2006 Matthias Saou <http://freshrpms.net/> 0.14.2-1
- Major spec file cleanup, based on package from futurepast.free.fr (which
  contained no changelog).

